Bug 230073 - cups-lpd : server-args has no effect
cups-lpd : server-args has no effect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: Reopened
: 230074 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 09:26 EST by Hans-Gerd van Schelve
Modified: 2010-10-22 09:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-1020
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 09:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
icds.convs (138 bytes, application/octet-stream)
2007-02-26 09:26 EST, Hans-Gerd van Schelve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2266 None None None Never

  None (edit)
Description Hans-Gerd van Schelve 2007-02-26 09:26:45 EST
We are sending icds compressed AFP (Advanced Function Presentation) Datastream
from our Z/OS System to mobile Linux Systems via lpd protocol. On the Linux
Systems based on rhel5-client-rc1 we have configured a server argument for
cups-lpd in /etc/xinetd.d/cups-lpd:

# default: off
# description: Allow applications using the legacy lpd protocol to communicate
with CUPS
service printer
{
        disable = no
        socket_type = stream
        protocol = tcp
        wait = no
        user = lp
        server = /usr/lib/cups/daemon/cups-lpd
        server_args = -o document-format=application/icds
}

We did this to enforce that everything that comes in via lpd has to pass our
cups filter icds2ps. Therefore we have two files /etc/cups/icds.types and
/etc/cups/icds.convs (see attached files)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans-Gerd van Schelve 2007-02-26 09:26:45 EST
Created attachment 148794 [details]
icds.convs
Comment 2 Tim Waugh 2007-02-26 10:19:24 EST
*** Bug 230074 has been marked as a duplicate of this bug. ***
Comment 3 Tim Waugh 2007-02-26 10:21:50 EST
You need to adjust the existing /etc/cups/mime.convs, not create a new xxx.convs
file.

If this is not the problem you are describing, please be more specific regarding
the observed behaviour compared to the expected behaviour.  Thanks.
Comment 4 Hans-Gerd van Schelve 2007-02-27 02:51:47 EST
The mime.convs manpage show the following:

       The mime.convs file defines the filters that are available for convert-
       ing files from one format to  another.  The  standard  filters  support
       text, PDF, PostScript, HP-GL/2, and many types of image files.

       Additional  filters can be added to the mime.convs file or (preferably)
       to other files in the CUPS configuration directory.

In RHEL4 that workes fine for us.

But this is not the main problem. Cups did not recognize that the incoming Data
is not application/octet-stream but application/icds
Comment 5 Tim Waugh 2007-02-27 10:47:54 EST
STR #2266 concerns the document-format problem, and I've included a patch in
that bug report.

I'm still investigating the '*.convs' issue -- of course, you're correct that it
should read icds.convs (I didn't know that feature), but something is preventing
that from happening on my test machine.
Comment 6 Tim Waugh 2007-02-27 11:34:30 EST
Ah, figured it out -- I needed to add "application/icds" to mime.types as well
so that the MIME type was recognized, and I also needed to make sure the filter
existed in /usr/lib/cups/filter.

So I think CUPS STR #2266 is the bug.
Comment 8 Hans-Gerd van Schelve 2007-03-01 14:38:24 EST
Hm. A file /etc/cups/icds.types containing "application/icds" should work also.
That's what we did in RHEL4. Will the fix for #2266 be contained in rhel5.0?
Comment 9 Tim Waugh 2007-03-02 05:39:21 EST
No, the fix will not be in Red Hat Enterprise Linux 5, but I hope to include it
in an update.

Having a separate .types file works fine -- I'd missed your original comment
about 'icds.types' and didn't think of trying that, that's all.
Comment 10 RHEL Product and Program Management 2007-03-21 17:55:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Tim Waugh 2007-04-18 12:53:45 EDT
There is an upstream patch available (see 'external bugzilla references' below).
Comment 19 errata-xmlrpc 2007-10-31 09:48:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1020.html

Note You need to log in before you can comment on or make changes to this bug.